#6 closed enhancement (fixed)

Zoomable graphs

Reported by: jo Owned by: snide
Priority: high Milestone: Munin 2.0.0
Component: master Version:
Severity: normal Keywords: None
Cc: None

Description

Support for "zoomable" weekly/monthly/yearly graphs, like rrdcgi.

Attachments (2)

zoomin-0.1.patch (2.1 KB) - added by runesk at 2009-10-21T09:10:10+02:00.
A patch for zoomin to make right-to-left-select in graphs
zoomin-1.4.0.zip (3.6 KB) - added by muhgatus at 2009-11-30T16:38:45+01:00.
Modified zoom.js, zoom.php, patch for GraphOld?.pm(1.4.0) included

Download all attachments as: .zip

Change History (16)

comment:1 Changed at 2005-12-02T12:17:28+01:00 by janl

Anonymous sourceforge request:

please make available the feature of zooming graphs like in cacti - If i press the mouse over an graph, select a period and release the button, the graph reload with the selected interval so it zooms in for the selected period.

comment:2 Changed at 2006-06-19T23:47:08+02:00 by janl

  • Owner changed from jo to janl
  • Summary changed from "Zoomable" graphs to Zoomable graphs
  • Type set to defect

Interestingly rrd 1.2 supports SVG graphics

comment:3 Changed at 2006-10-18T23:07:53+02:00 by janl

  • Severity changed from trivial to normal
  • Type changed from defect to enhancement

comment:4 Changed at 2007-01-10T13:56:31+01:00 by kjetilk@…

Actually, one would gain a lot by just using SVG, as modern browsers would provide zooming capabilities. You wouldn't get an excerpt, but you could zoom. So, if you could just use the SVG output, that would be great.

Native SVG support is not available on all OSes, but I suspect most Munin users would have it, and it is relatively easy to provide a fallback.

comment:5 Changed at 2008-01-15T11:59:19+01:00 by janl

  • Priority changed from normal to high
  • Version 1.3.1 deleted

The SVGs produced by both rrd 1.2 and 1.3 are unsuitable for zoomable graphs. To fix rrd 1.3 we first have to patch libcairo the graphics library to support id= attributes on graph features, and then fix rrd 1.3 to use this.

  • The graph itself should have a independent translation matrix
  • The x-axis should be zoomed only along the x-axis
  • The y-axis should be zoomed only along the y-axis
  • Each of them should be enclosed by clip boxes

Then we can zoom the graphs in a sensible manner. The next step is mouse over handling that shows the legend name of the point, the value at the graph point, and the time of collection. And if it's averaged maybe the max reading of the time period of averageing.

Nicolai

comment:6 Changed at 2008-12-09T12:59:55+01:00 by mmahut

Is there any progress on this feature? We would really like to see this in next release. Thank you.

comment:7 Changed at 2009-06-22T17:26:26+02:00 by insom

http://insom.me.uk/z/2009/06/zoomable-munin-graphs.html

I've gotten zoomable graphs working. It's rough around the edges, but I'd love to see someone pick it up. It certainly suits my purposes right now.

comment:8 Changed at 2009-10-20T23:39:03+02:00 by janl

  • Milestone changed from Munin 1.6 to Munin 1.5
  • Status changed from new to assigned

Changed at 2009-10-21T09:10:10+02:00 by runesk

A patch for zoomin to make right-to-left-select in graphs

Changed at 2009-11-30T16:38:45+01:00 by muhgatus

Modified zoom.js, zoom.php, patch for GraphOld?.pm(1.4.0) included

comment:9 Changed at 2009-12-04T23:15:51+01:00 by janl

  • Milestone changed from Munin 1.5 to Munin 1.4.3
  • Owner changed from janl to Steve Schnepp
  • Status changed from assigned to new

Since we have a patch (and Steve Schnepp is also working on this) I'm planning to take it into the 1.4 series.

comment:10 Changed at 2009-12-07T08:34:40+01:00 by janl

  • Owner changed from Steve Schnepp to snide

comment:11 follow-up: Changed at 2009-12-21T21:54:23+01:00 by snide

  • Milestone changed from Munin 1.4.3 to Munin 1.5
  • Status changed from new to assigned

comment:12 in reply to: ↑ 11 Changed at 2009-12-21T21:56:04+01:00 by snide

Replying to snide:

I'm planning it more for 1.5 than for 1.4, but maybe, who knows :-)

comment:13 Changed at 2010-01-08T23:09:14+01:00 by snide

I uploaded a pure Perl patch here :
http://munin.projects.linpro.no/attachment/wiki/Munin_other_native_transports

It's a rewrite of my old 1.2 zooming graph one since it was faster this way.
I'll have a look at the attached one also to enhance mine and to have the best of both :-)

comment:14 Changed at 2010-03-01T08:59:50+01:00 by snide

  • Resolution set to fixed
  • Status changed from assigned to closed

closed by r3376

Note: See TracTickets for help on using tickets.